Get GenerativeAgent state
curl --request GET \
--url https://api.sandbox.asapp.com/generativeagent/v1/state \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>'import requests
url = "https://api.sandbox.asapp.com/generativeagent/v1/state"
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'asapp-api-id': '<api-key>', 'asapp-api-secret': '<api-key>'}
};
fetch('https://api.sandbox.asapp.com/generativeagent/v1/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "ready",
"lastGenerativeAgentMessageId": "01HWXSGMT91HCS18BV0CRGEKY8",
"currentTaskName": "PaymentDetails",
"inputVariables": {
"input-context": "Customer chatted in to check the details of their last payment.",
"last-customer-purchase": "2024-05-07"
}
}Generative Agent
Get GenerativeAgent state
This API provides the current state of the generative agent for a given conversation.
GET
/
generativeagent
/
v1
/
state
Get GenerativeAgent state
Query Parameters
Search criteria
Show child attributes
Show child attributes
Response
200 - application/json
Successfully fetched state of generative agent for a conversation
The last status of the conversation:
ready- GenerativeAgent is ready to respond to requestsprocessing- GenerativeAgent is actively processing the conversationwaitingForConfirmation- GenerativeAgent is expecting an explicit confirmation on the next messagewaitingForAuth- GenerativeAgent is waiting for the user to login before proceedingtransferredToAgent- GenerativeAgent is no longer able to provide meaningful responses and has requested the conversation be transferred to a human agenttransferredToSystem- GenerativeAgent has transferred control of this conversation back to the caller system. However, it will respond if new analyze requests are made
Available options:
ready, processing, waitingForConfirmation, waitingForAuth, transferredToAgent, transferredToSystem ULID identifier of the last asynchronous response that was sent to the customer
Current task TaskBot is executing
Last input variables
Was this page helpful?